# This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

require 'encodingWindow.rb'

class EwImp < EwForm
    slots 'sstartEncoding(const QString&)','svideoInfo(const QString&)','saudioInfo(const QString&)','sdpgInfo(const QString&)','sError(const QString&)','svideoProgressBar(int)','saudioProgressBar(int)'

    def sstartEncoding(name)
	textLabel2.setText(name)
    end
    def svideoInfo(info)
	textLabel4.setText(info)
    end
    def saudioInfo(info)
	textLabel6.setText(info)
    end
    def sdpgInfo(info)
	textLabel8.setText(info)
    end
    def sError(error)
	errorln = error+"\n"
	textEdit1.append(errorln)
    end
    def svideoProgressBar(p)
	progressBar1.setProgress(p)
    end
    def saudioProgressBar(p)
	progressBar2.setProgress(p)
    end
    def clearAll()
	saudioProgressBar(0)
	svideoProgressBar(0)
	sdpgInfo(".")
	saudioInfo(".")
	svideoInfo(".")
	
    end
    
    def initialize(*k)
        super(*k)
	pushButton5.setDisabled(true)
	progressBar1.setTotalSteps(100)
	progressBar2.setTotalSteps(100)

    end

end
